# Interface IBaseCharacterStyleOptions

#### Hierarchy

- IStyleOptions
  - IBaseCharacterStyleOptions
    - ICharacterStyleOptions

- Defined in src/file/styles/style/character-style.ts:5

#####
Index

### Properties

basedOn?
link?
name?
next?
quickFormat?
run?
semiHidden?
uiPriority?
unhideWhenUsed?

## Properties

### `Optional` `Readonly` basedOn

basedOn?: string

Inherited from IStyleOptions.basedOn

- Defined in src/file/styles/style/style.ts:44

### `Optional` `Readonly` link

link?: string

Inherited from IStyleOptions.link

- Defined in src/file/styles/style/style.ts:46

### `Optional` `Readonly` name

name?: string

Inherited from IStyleOptions.name

- Defined in src/file/styles/style/style.ts:43

### `Optional` `Readonly` next

next?: string

Inherited from IStyleOptions.next

- Defined in src/file/styles/style/style.ts:45

### `Optional` `Readonly` quickFormat

quickFormat?: boolean

Inherited from IStyleOptions.quickFormat

- Defined in src/file/styles/style/style.ts:50

### `Optional` `Readonly` run

run?: IRunStylePropertiesOptions

- Defined in src/file/styles/style/character-style.ts:6

### `Optional` `Readonly` semiHidden

semiHidden?: boolean

Inherited from IStyleOptions.semiHidden

- Defined in src/file/styles/style/style.ts:48

### `Optional` `Readonly` uiPriority

uiPriority?: number

Inherited from IStyleOptions.uiPriority

- Defined in src/file/styles/style/style.ts:47

### `Optional` `Readonly` unhideWhenUsed

unhideWhenUsed?: boolean

Inherited from IStyleOptions.unhideWhenUsed

- Defined in src/file/styles/style/style.ts:49

Generated using TypeDoc